#
# spec file for package pagein
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2018, Martin Hauke <mardnh@gmx.de>
# Copyright (c) 2024 Andreas Stieger <Andreas.Stieger@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pagein
Version:        0.01.11
Release:        1.2
Summary:        A tool to force swapped out pages back into memory
License:        GPL-2.0-only
Group:          System/Monitoring
URL:            https://github.com/ColinIanKing/pagein
Source:         %{url}/archive/refs/tags/V%{version}.tar.gz#/%{name}-%{version}.tar.gz

%description
Pagein is a tool that forces pages that are in swap to be paged in back
to memory. The main usecase for pagein is to exercise the VM and swap
subsystems for testing purposes.

%package bash-completion
Summary:        Bash Completion for %{name}
Group:          System/Benchmark
Requires:       %{name} = %{version}
Requires:       bash-completion
Supplements:    (pagein and bash-completion)
BuildArch:      noarch

%description bash-completion
Bash completion script for %{name}.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags}"
%make_build

%install
%make_install

%files
%license COPYING
%{_bindir}/pagein
%{_mandir}/man1/pagein.1%{?ext_man}

%files bash-completion
%license COPYING
%{_datadir}/bash-completion/completions/%{name}

%changelog
* Sat Dec 28 2024 Andreas Stieger <andreas.stieger@gmx.de>
- update to 0.01.11:
  * use off64_t for fdmem seeks, check for -ve offsets
* Mon Jan  2 2023 Dirk Müller <dmueller@suse.com>
- update to 0.01.09:
  * Makefile: bump version
  * debian/control: update standards version to 4.6.1
  * Add comm field information in verbose mode, print pids with %%jd
  * Update copyright year
* Wed Apr 20 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 0.01.08
  * Fix potential array overflow on array prot, make it 1 byte larger
- Fixed URL and SourceURL (previous were orphaned)
* Mon May 17 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 0.01.06
  * Fixed uninitialized variables
* Mon Aug 17 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.01.05:
  * rerelease without changes
* Fri Mar  6 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Align SLEap builds with TW Builds.
* Fri Feb 28 2020 Martin Hauke <mardnh@gmx.de>
- Supplement against bash-completion, not bash
* Thu Feb 27 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.01.04
  * Add bash command completion script
  * Remove kthreads stat, add in total mappings stat
  * Add unreadable skipped pages stats
  * Expand pid field to 6 digits
  * Manual: change example to Xorg as a process to page in
  * Remove defunct command options -d, -t, -w
* Sat May 19 2018 mardnh@gmx.de
- Initial packge, version 0.01.00
